io.vertx.rxjava.ext.web.sstore

## Class ClusteredSessionStore

- java.lang.Object
- - io.vertx.rxjava.ext.web.sstore.SessionStore
  - - io.vertx.rxjava.ext.web.sstore.ClusteredSessionStore

-     public class ClusteredSessionStore
      extends SessionStore

  A session store which stores sessions in a distributed map so they are available across the cluster.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<ClusteredSessionStore>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClusteredSessionStore(ClusteredSessionStore delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ClusteredSessionStore` | `create(Vertx vertx)` Create a session store
    `static ClusteredSessionStore` | `create(Vertx vertx, long retryTimeout)` Create a session store. The retry timeout value, configures how long the session handler will retry to get a session from the store when it is not found.
    `static ClusteredSessionStore` | `create(Vertx vertx, String sessionMapName)` Create a session store
    `static ClusteredSessionStore` | `create(Vertx vertx, String sessionMapName, long retryTimeout)` Create a session store. The retry timeout value, configures how long the session handler will retry to get a session from the store when it is not found.
    `ClusteredSessionStore` | `getDelegate()`
    `static ClusteredSessionStore` | `newInstance(ClusteredSessionStore arg)`

    - ### Methods inherited from class io.vertx.rxjava.ext.web.sstore.SessionStore

      `clear, clearObservable, close, createSession, createSession, delete, deleteObservable, get, getObservable, newInstance, put, putObservable, retryTimeout, rxClear, rxDelete, rxGet, rxPut, rxSize, size, sizeObservable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<ClusteredSessionStore> __TYPE_ARG

  - ### Constructor Detail

    - #### ClusteredSessionStore

          public ClusteredSessionStore(ClusteredSessionStore delegate)

  - ### Method Detail

    - #### getDelegate

          public ClusteredSessionStore getDelegate()

      Overrides:
        `getDelegate` in class `SessionStore`

    - #### create

          public static ClusteredSessionStore create(Vertx vertx,
                                                     String sessionMapName)

      Create a session store
      Parameters:
        `vertx` - the Vert.x instance
        `sessionMapName` - the session map name
      Returns:
        the session store

    - #### create

          public static ClusteredSessionStore create(Vertx vertx,
                                                     String sessionMapName,
                                                     long retryTimeout)

      Create a session store.

      The retry timeout value, configures how long the session handler will retry to get a session from the store when it is not found.
      Parameters:
        `vertx` - the Vert.x instance
        `sessionMapName` - the session map name
        `retryTimeout` - the store retry timeout, in ms
      Returns:
        the session store

    - #### create

          public static ClusteredSessionStore create(Vertx vertx)

      Create a session store
      Parameters:
        `vertx` - the Vert.x instance
      Returns:
        the session store

    - #### create

          public static ClusteredSessionStore create(Vertx vertx,
                                                     long retryTimeout)

      Create a session store.

      The retry timeout value, configures how long the session handler will retry to get a session from the store when it is not found.
      Parameters:
        `vertx` - the Vert.x instance
        `retryTimeout` - the store retry timeout, in ms
      Returns:
        the session store

    - #### newInstance

          public static ClusteredSessionStore newInstance(ClusteredSessionStore arg)

Copyright © 2017. All rights reserved.